/* BEGIN STYLESHEET */
/* Direct stylesheet authoring is an advanced feature. Knowledge of CSS required.*/


:root {
	
	--oee-card: #212121;
	--oee-background: #151518;
	--oee-object: #7A7A7A;
	--oee-gray-a: #B4B4B4;
	--oee-gray-p: #969696;
	--oee-gray-q: #787878;
	--oee-font: #161616;
	--oee-bar: #B4B4B4;
	--oee-orange: #FFB35E;
	--oee-highlight: #51C49E;
	--oee-scroll: #202020;
	--oee-good: #6CDAF4;
	--oee-bad: #E20505;
	--oee-lightback: #F2F2F2
	

}

/* line chart x trace popup colors */
.ia_timeSeriesChartComponent__labelText{
	fill: black;
	stroke: #e9e9e9;
	stroke-width: 6;
	paint-order: stroke fill;
}

.ia_timeMarker > g > text{
	fill: white;
}

/* Custom scrollbars */

::-webkit-scrollbar {
	background: var(--oee-gray-q);
	width: 10px;
	height: 10px;
	padding: 1px;
	margin: 1px;
}

::-webkit-scrollbar-button {
    background: var(--oee-gray-q);
    height: 0px;
}
::-webkit-scrollbar-track {
    background: var(--oee-gray-q);
}
::-webkit-scrollbar-thumb {
    background: var(--oee-scroll);
    border: 2px solid var(--oee-gray-q);
    border-radius:5px;
}

/* dark mode dropdowns */

.iaDropdownCommon_options {
    background-color: var(--oee-card);
}

.iaDropdownCommon_option {
	color: #FFFFFF;
}

.ia_dropdown {
    background-color: var(--oee-card);
    color: #FFFFFF;
}

.iaSelectCommon {
    background-color: var(--oee-card);
}

.iaSelectCommon_select {
    background-color: var(--oee-card);
    color: #FFFFFF;
}


/* BEGIN STYLE CLASSES */
.psc-exchange\/launchpad\/oee\/action\/button-cancel {
  background-color: var(--oee-object);
  color: var(--oee-good);
}

.psc-exchange\/launchpad\/oee\/action\/button-delete {
  background-color: var(--oee-object);
  color: #D5D5D5;
}

.psc-exchange\/launchpad\/oee\/action\/button-save {
  background-color: var(--oee-good);
  color: #000000;
}

.psc-exchange\/launchpad\/oee\/action\/card {
  background-color: var(--oee-card);
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  margin: 0px;
  padding: 10px;
}

.psc-exchange\/launchpad\/oee\/card {
  background-color: var(--oee-card);
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  margin: 18px;
  padding: 20px;
}

.psc-exchange\/launchpad\/oee\/card-small {
  background-color: var(--oee-card);
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  margin: 6px;
  padding: 10px;
}

.psc-exchange\/launchpad\/oee\/control\/button-selected {
  background-color: var(--oee-highlight);
  border-color: var(--oee-highlight);
  border-style: solid;
  border-width: 1px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  color: #000000;
  font-family: Noto Sans;
  font-size: 14px;
  margin-bottom: 0px;
  margin-right: 0px;
  margin-top: 0px;
  text-align: center;
}
.psc-exchange\/launchpad\/oee\/control\/button-selected:disabled {
  background-color: var(--oee-object);
  border-color: #B4B4B4;
  color: #B4B4B4;
}

.psc-exchange\/launchpad\/oee\/control\/button-unselected {
  background-color: var(--oee-background);
  border-color: #FFFFFF;
  border-style: solid;
  border-width: 1px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  color: #FFFFFF;
  font-family: Noto Sans;
  font-size: 16px;
  margin-bottom: 0px;
  margin-right: 0px;
  margin-top: 0px;
  text-align: center;
}
.psc-exchange\/launchpad\/oee\/control\/button-unselected:disabled {
  background-color: var(--oee-object);
  font-family: var(oee-font);
}

.psc-exchange\/launchpad\/oee\/control\/dropdown {
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  color: #D8D8D8;
  font-size: 14px;
}

.psc-exchange\/launchpad\/oee\/control\/dropdown_unset {
  background-color: var(--oee-good);
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  color: #000000;
  font-size: 14px;
}

.psc-exchange\/launchpad\/oee\/control\/icon-selected {
  color: var(--oee-highlight);
  margin-bottom: 15px;
  margin-right: 15px;
  margin-top: 15px;
}

.psc-exchange\/launchpad\/oee\/control\/icon-unselected {
  color: #FFFFFF;
  margin-bottom: 15px;
  margin-right: 15px;
  margin-top: 15px;
}

.psc-exchange\/launchpad\/oee\/control\/root {
  background-color: var(--oee-background);
  border-bottom-color: #767676;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-style: none;
  border-right-style: none;
  border-top-style: none;
}

.psc-exchange\/launchpad\/oee\/control\/text-entry {
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  color: #D8D8D8;
  font-size: 14px;
}

.psc-exchange\/launchpad\/oee\/control\/text-entry-dark {
  background-color: var(--oee-card);
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  color: #FFFFFF;
  font-size: 14px;
}

.psc-exchange\/launchpad\/oee\/control\/text-entry-light {
  background-color: var(--oee-lightback);
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  border-bottom-left-radius: 6px;
  border-bottom-right-radius: 6px;
  color: var(--oee-font);
  font-size: 14px;
}

.psc-exchange\/launchpad\/oee\/header\/button-selected {
  background-color: var(--oee-highlight);
  border-color: var(--oee-highlight);
  border-style: solid;
  border-width: 3px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  color: #000000;
  font-family: Noto Sans;
  font-size: 16px;
  margin-bottom: 15px;
  margin-right: 15px;
  margin-top: 15px;
  text-align: center;
}

.psc-exchange\/launchpad\/oee\/header\/button-unselected {
  background-color: var(--oee-background);
  border-color: #FFFFFF;
  border-style: solid;
  border-width: 3px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  color: #FFFFFF;
  font-family: Noto Sans;
  font-size: 16px;
  margin-bottom: 15px;
  margin-right: 15px;
  margin-top: 15px;
  text-align: center;
}

.psc-exchange\/launchpad\/oee\/header\/icon-selected {
  color: var(--oee-highlight);
  margin-bottom: 15px;
  margin-right: 15px;
  margin-top: 15px;
}

.psc-exchange\/launchpad\/oee\/header\/icon-unselected {
  color: #FFFFFF;
  margin-bottom: 15px;
  margin-right: 15px;
  margin-top: 15px;
}

.psc-exchange\/launchpad\/oee\/header\/root {
  background-color: var(--oee-background);
  border-bottom-color: #767676;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-left-style: none;
  border-right-style: none;
  border-top-style: none;
}

.psc-exchange\/launchpad\/oee\/production-summary\/table-background {
  background-color: var(--oee-card);
}

.psc-exchange\/launchpad\/oee\/production-summary\/table-header {
  background-color: var(--oee-gray-q);
  color: var(--oee-font);
  font-weight: bold;
}

.psc-exchange\/launchpad\/oee\/root {
  background-color: var(--oee-background);
}

.psc-exchange\/launchpad\/oee\/text\/header {
  color: #FFFFFF;
  font-size: 24px;
}

.psc-exchange\/launchpad\/oee\/text\/label {
  color: #D8D8D8;
  font-size: 14px;
  font-weight: normal;
  text-align: center;
}

.psc-exchange\/launchpad\/oee\/text\/number {
  color: #FFFFFF;
  font-size: 18px;
  text-align: center;
}

.psc-exchange\/launchpad\/oee\/text\/units {
  color: #D8D8D8;
  font-size: 20px;
  font-weight: normal;
  text-align: center;
}
